Get regular bookings linked to a timeslot
curl --request GET \
--url https://b.anny.co/api/v1/timeslots/{timeslot_id}/regular-bookings \
--header 'Authorization: Bearer <token>'import requests
url = "https://b.anny.co/api/v1/timeslots/{timeslot_id}/regular-bookings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b.anny.co/api/v1/timeslots/{timeslot_id}/regular-bookings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"type": "bookings",
"attributes": {
"number": "<string>",
"is_blocker": true,
"start_date": "<string>",
"end_date": "<string>",
"blocker_start_date": "<string>",
"blocker_end_date": "<string>",
"description": "<string>",
"charged_duration": 123,
"weight": 123,
"is_sequence": true,
"price_hidden": true,
"visible_for_customer": true,
"can_edit": true,
"is_own": true,
"currency": "<string>",
"tax_rate": 123,
"total": 123,
"is_net_total": true,
"code": "<string>",
"subtotal": 123,
"charged_total": 123,
"charged_subtotal": 123,
"starting_fee": 123,
"customer_note": "<string>",
"created_at": "<string>",
"canceled_at": "<string>",
"check_in_date": "<string>",
"check_out_date": "<string>",
"custom_entry_map": {},
"is_series": true,
"is_series_master": true,
"series_id": "<string>",
"series_type": "<string>",
"note": "<string>",
"manually_created": true,
"is_sub_booking": true,
"external_uuid": "<string>",
"has_payment": true,
"is_editable": true,
"status_reason": "<string>",
"updated_at": "<string>"
},
"links": {
"self": "<string>"
},
"relationships": {
"resource": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"service": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"order": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"customer": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"organization": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"super_booking": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"sub_bookings": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"booking_add_ons": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"cancellation_policy": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"custom_entries": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"model_identifiers": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"activities": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"test_results": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"external_calendar": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"host": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"attendees": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"booking_participants": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"files": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"access_control_grants": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"sync_sources": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"reminders": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"sequence": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"sequenced_bookings": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"series_bookings": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"series_master": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"booking_series": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"delegated_by": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"queue_ticket": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
}
}
}
],
"meta": {},
"links": {}
}Availability Settings
Get regular bookings linked to a timeslot
GET
/
api
/
v1
/
timeslots
/
{timeslot_id}
/
regular-bookings
Get regular bookings linked to a timeslot
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Pfadparameter
The timeslot identifier.
Abfrageparameter
Example: customer.
Booking sort parameters, for example -created_at.
Organization ID
⌘I